summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2012-11-17 13:03:05 +0000
committerPacho Ramos <pacho@gentoo.org>2012-11-17 13:03:05 +0000
commit86ffe3731d10460683ec41a7df9472d7e2a7e2bb (patch)
tree91b5bd351c6bb80c61176725cd2914d0a5d22431 /eclass
parentStable for amd64, wrt bug #443422 (diff)
downloadgentoo-2-86ffe3731d10460683ec41a7df9472d7e2a7e2bb.tar.gz
gentoo-2-86ffe3731d10460683ec41a7df9472d7e2a7e2bb.tar.bz2
gentoo-2-86ffe3731d10460683ec41a7df9472d7e2a7e2bb.zip
Rely on prune_libtool_files for eapis >= 5 as discussed with the team via mail.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/gnome2.eclass30
2 files changed, 26 insertions, 10 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 0f64aca905b9..62e7dec6e6a2 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.509 2012/11/17 10:58:35 tommy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.510 2012/11/17 13:03:05 pacho Exp $
+
+ 17 Nov 2012; Pacho Ramos <pacho@gentoo.org> gnome2.eclass:
+ Rely on prune_libtool_files for eapis >= 5 as discussed with the team via
+ mail.
17 Nov 2012; Thomas Sachau (Tommy[D]) <tommy@gentoo.org>
enlightenment.eclass:
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index bda69d2f995b..b93c79c478b0 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.110 2012/11/07 19:25:35 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.111 2012/11/17 13:03:05 pacho Exp $
# @ECLASS: gnome2.eclass
# @MAINTAINER:
@@ -10,7 +10,7 @@
# Exports portage base functions used by ebuilds written for packages using the
# GNOME framework. For additional functions, see gnome2-utils.eclass.
-inherit fdo-mime libtool gnome.org gnome2-utils
+inherit eutils fdo-mime libtool gnome.org gnome2-utils
case "${EAPI:-0}" in
0|1)
@@ -30,9 +30,13 @@ G2CONF=${G2CONF:-""}
# @ECLASS-VARIABLE: GNOME2_LA_PUNT
# @DESCRIPTION:
-# Should we delete all the .la files?
+# Should we delete ALL the .la files?
# NOT to be used without due consideration.
-GNOME2_LA_PUNT=${GNOME2_LA_PUNT:-"no"}
+if has ${EAPI:-0} 0 1 2 3 4; then
+ GNOME2_LA_PUNT=${GNOME2_LA_PUNT:-"no"}
+else
+ GNOME2_LA_PUNT=${GNOME2_LA_PUNT:-""}
+fi
# @ECLASS-VARIABLE: ELTCONF
# @DEFAULT-UNSET
@@ -200,12 +204,20 @@ gnome2_src_install() {
rm -fr "${ED}/usr/share/applications/mimeinfo.cache"
# Delete all .la files
- if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
- ebegin "Removing .la files"
- if ! { has static-libs ${IUSE//+} && use static-libs; }; then
- find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+ if has ${EAPI:-0} 0 1 2 3 4; then
+ if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
+ ebegin "Removing .la files"
+ if ! { has static-libs ${IUSE//+} && use static-libs; }; then
+ find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+ fi
+ eend
fi
- eend
+ else
+ case "${GNOME2_LA_PUNT}" in
+ yes) prune_libtool_files --modules;;
+ no) ;;
+ *) prune_libtool_files;;
+ esac
fi
}